
User Interface - Bug #3073

Bug # 2677 (New): fix drawing and functional differences between P2J GUI and 4GL GUI

Combo-box bug: widget is not in the container

04/20/2016 11:43 AM - Vadim Gindin

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Hynek Cihlar % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Cleanup and Stabilization for GUI   

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 04/20/2016 11:51 AM - Vadim Gindin

Here is the stack of this error met in trunk:

Caused by: java.lang.IllegalStateException: widget is not in the container

        at com.goldencode.p2j.ui.client.widget.AbstractWidget.screenPhysicalLocation(AbstractWidget.java:850)

        at com.goldencode.p2j.ui.client.widget.AbstractWidget.getActualBounds(AbstractWidget.java:2329)

        at com.goldencode.p2j.ui.client.gui.driver.swing.SwingMouseHandler$9.run(SwingMouseHandler.java:292)

        at com.goldencode.p2j.ui.chui.ThinClient.waitForEvent(ThinClient.java:13256)

        at com.goldencode.p2j.ui.chui.ThinClient.waitForWorker(ThinClient.java:11202)

        at com.goldencode.p2j.ui.chui.ThinClient.waitFor(ThinClient.java:10776)

For example, the test demo/demo_widgets.p: just selecting items of combo-box chcb and at some moment we'll see this error. The error happen not

each time we select an item.    

Other test: demo/movie-ratings-dynamic.p, the field Select movie. After window is opened press space and after widgets will be enabled, select items

in combobox Select movie. The error happen almost each time.

#2 - 04/29/2016 04:08 AM - Hynek Cihlar

- Status changed from New to WIP

- Assignee set to Hynek Cihlar

#3 - 04/29/2016 04:33 AM - Hynek Cihlar

Could not reproduce the issue. I have tried several tests with combo boxes, including the above mentioned demo/demo_widgets.p and

demo/movie-ratings-dynamic.p in both Swing and Web GUI. Possibly the problem has been already resolved since.
#4 - 04/29/2016 04:34 AM - Hynek Cihlar

- % Done changed from 0 to 100

#5 - 04/29/2016 09:51 AM - Greg Shah

Vadim: can you recreate this on the current trunk?

#6 - 05/24/2016 01:34 PM - Greg Shah

Vadim: please test this and confirm if you can recreate it.

#7 - 05/31/2016 12:17 PM - Vadim Gindin

I've tested it and couldn't recreate it. So we can assume this task is not actual.

#8 - 05/31/2016 12:18 PM - Greg Shah

- Start date deleted (04/20/2016)

- Status changed from WIP to Closed

- Target version set to Milestone 16

#9 - 11/16/2016 12:22 PM - Greg Shah

- Target version changed from Milestone 16 to Cleanup and Stabilization for GUI
